mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

These enum values are returned by and are useful in switch statements. MemberTypes matches CorTypeAttr as defined in the corhdr.h file.

To obtain the MemberTypes value for a method:

First get a .

From the Type, get the MemberInfo array.

From the MemberInfo array, get the MemberType.

Marks each type of member that is defined as a derived class of MemberInfo.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added

  Specifies all member types.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added

  Specifies that the member is a constructor, representing a member. Hexadecimal value of 0x01.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added

  Specifies that the member is a custom member type. Hexadecimal value of 0x40.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added

  Specifies that the member is an event, representing an member. Hexadecimal value of 0x02.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added

  Specifies that the member is a field, representing a member. Hexadecimal value of 0x04.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added

  Specifies that the member is a method, representing a member. Hexadecimal value of 0x08.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added

  Specifies that the member is a nested type, extending .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added

  Specifies that the member is a property, representing a member. Hexadecimal value of 0x10.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added

  Specifies that the member is a type, representing a member. Hexadecimal value of 0x20.